Bug 439892 - gnome-session-properties doesn't allow a "custom" session
gnome-session-properties doesn't allow a "custom" session
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 17:28 EDT by Valdis Kletnieks
Modified: 2008-04-02 12:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 15:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2008-03-31 17:28:42 EDT
Description of problem:
gnome-session-properties allows 3 zillion different Gnome options to be set, but
there is no way to set a 'custom' session (specifically, one that gets you to
this code in /etc/X11/xinit/Xsession:

# otherwise, take default action
if [ -x "$HOME/.xsession" ]; then
    exec -l $SHELL -c "$SSH_AGENT $HOME/.xsession"

It insists on invoking that script with $1=='gnome-session' and there's no
obvious way to change it.

Version-Release number of selected component (if applicable):
gnome-session-2.22.0-1.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Some sites/users have special-case needs that are best addressed with a custom
non-Gnome session. There should be some way to configure this.
Comment 1 Ray Strode [halfline] 2008-04-01 15:41:08 EDT
install xorg-x11-xinit-session and it should add an item to the session combo
box in gdm for you to run that file.
Comment 2 Valdis Kletnieks 2008-04-02 12:11:25 EDT
Confirming that xorg-x11-xinit-session provides the functionality I needed. 
That might be worth a mention in the release notes - I don't know if that RPM is
flagged to install by default on a 9 install or upgrade.

Note You need to log in before you can comment on or make changes to this bug.